// import {Component} from '@angular/core';
import {Component, Input} from '@angular/core';

@Component({
    selector: 'atomic-text-button',
    imports: [],
    templateUrl: './text-button.component.html',
    styleUrl: './text-button.component.css'
})
export class TextButtonComponent {
    @Input() text: string = '';

    private _disabled: boolean = false;

    get disabled(): boolean {
        return this._disabled;
    }

    @Input()
    set disabled(value: boolean | undefined) {
        this._disabled = value === undefined || value === true;
    }
}
