use crate::VERSION;
use axum::response::IntoResponse;
use axum::Json;
use serde_json;
use tracing::instrument;

#[instrument()]
pub async fn get_version() -> impl IntoResponse {
    Json(serde_json::json!({ "version": VERSION }))
}
